Bug 230161 - Review Request: rt61pci-firmware - Firmware for Ralink® RT2561/RT2661 A/B/G network adaptors
Review Request: rt61pci-firmware - Firmware for Ralink® RT2561/RT2661 A/B/G ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-26 17:33 EST by Nicolas Chauvet (kwizart)
Modified: 2014-03-16 23:05 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-19 20:10:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
notting: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
LICENSE.ralink-firmware.txt (2.05 KB, text/plain)
2007-08-17 10:54 EDT, John W. Linville
no flags Details

  None (edit)
Description Nicolas Chauvet (kwizart) 2007-02-26 17:33:13 EST
Spec URL:
http://kwizart.free.fr/fedora/6/testing/rt2x00-firmware/rt61-firmware.spec
SRPM URL: 
http://kwizart.free.fr/fedora/6/testing/rt2x00-firmware/rt61-firmware-1.2-2.kwizart.fc6.src.rpm
Description: Firmware for RT61 802.11 wireless devices 

This firmware allow using Ralink wireless device using the rt61pci module included since 2.6.21rc1 inside the linux kernel. It can also be used since 2.6.18 using the rt2x00 external module and older kernel can use rt61 legacy version... 

We should ask for proper redistribution permission, this firmware do not provides any documentation, it sould a least bundle permission for redistribution to be accepted on Fedora Extras...

Sending a mail to Ralink about this...
FE-LEGAL
Comment 1 Xavier Lamien 2007-02-26 23:04:32 EST
Hardcoded library path shouldn't be use

use "%{_lib}/firmware" instead of "/lib/firmware"
Comment 2 Xavier Lamien 2007-02-27 07:23:16 EST
for this lib macros, check if you have an build error
Comment 3 Xavier Lamien 2007-02-27 08:43:03 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License is Distributable
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum
OK - BuildRequires isn't required
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
+  - rpmlint output:
SRPM: E: hardcoded-library-path -> can be ignored
RPM : E: hardcoded-library-path -> can be ignored

OK - build in mock (FC-6 and FC-devel).
OK - Should function as described.
OK - Should have dist tag
OK - Should package latest version

Comment 4 Xavier Lamien 2007-02-27 09:37:40 EST
Typo :

-  OK - License file included in package
+   + - licences and Doc are requesting
Comment 5 Bill Nottingham 2007-03-19 16:10:19 EDT
Source download link is invalid, at least for today.
Comment 6 Nicolas Chauvet (kwizart) 2007-03-19 17:07:37 EDT
Updated link (changes from .com to .com.tw )
Fixed licence field

Spec URL:
http://kwizart.free.fr/fedora/6/testing/rt2x00-firmware/rt61-firmware.spec
SRPM URL: 
http://kwizart.free.fr/fedora/6/testing/rt2x00-firmware/rt61-firmware-1.2-3.kwizart.fc6.src.rpm
Description: Firmware for RT61 802.11 wireless devices 
Comment 7 Kevin Fenzi 2007-03-22 21:53:45 EDT
(removing needsponsor blocker here, as submitter was sponsored in
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=167147 )
Comment 8 Jason Tibbitts 2007-06-08 22:40:55 EDT
Do we actually have legal clearance here?  I don't see that this ticket ever
blocked FE-Legal.  (Yes, it's case-sensitive.)  And, perhaps more importantly,
was there ever any response from Ralink?
Comment 9 Bill Nottingham 2007-06-11 00:04:17 EDT
(In reply to comment #8)
> Do we actually have legal clearance here? 

No, becasue...

> And, perhaps more importantly, was there ever any response from Ralink?

Not to the best of my knowledge.

Blocking FE-Legal, but without *something* from Ralink, we're stuck.
Comment 10 Ivo van Doorn 2007-08-02 14:16:49 EDT
I have send a new mail to Ralink to ask them for legacl clearance for shipping 
the RT61 and RT73 firmware together with FC.
I have CC'ed Nicolas Chauvet, Bill Nottingham and John Linville.

Hopefully this new request will get more response. ;)
Comment 11 John W. Linville 2007-08-17 10:54:37 EDT
Created attachment 161738 [details]
LICENSE.ralink-firmware.txt

License received in email dated Thu, 16 Aug 2007 14:18:00 +0800 from Paul Lin
<Paul_Lin@ralinktech.com.tw>.
Comment 12 Till Maas 2007-09-03 18:36:33 EDT
$ curl -I http://www.ralinktech.com.tw/ralink/data/RT61_Firmware_V1.2.zip
HTTP/1.1 404 Object Not Found

The zip has vanished. Do you know the new location?
Comment 13 Till Maas 2007-09-03 18:39:19 EDT
it is:
(the ralink directory was removed)
http://www.ralinktech.com.tw/data/RT61_Firmware_V1.2.zip
Comment 14 Nicolas Chauvet (kwizart) 2007-09-03 18:54:19 EDT
Well yes! I need to update the new path then! thx for have noticed that!
But unfortunatily we cannot have somewhere to download the Ralin's license file...

Usually, we need to have the license from within the firmware archive or at
least from a public place (website). I will ask again...

Comment 15 Tom "spot" Callaway 2007-09-05 17:38:40 EDT
I can't lift FE-Legal here until I see the updated license text either:

- Included with the firmware in the zip/tarball (this is strongly preferred)
- On the ralink website somewhere

As to the license text itself, as attached to bugzilla, it meets the firmware
exception criteria.
Comment 16 David Nielsen 2007-09-16 05:18:24 EDT
I just downloaded the firmware zip from #13 and that contained both the firmware
and a license equal to that found in #11.
Comment 17 Nicolas Chauvet (kwizart) 2007-09-16 19:19:32 EDT
SRPM:
http://kwizart.free.fr/fedora/6/testing/rt2x00-firmware/rt61pci-firmware-1.2-4.src.rpm
SPEC:
http://kwizart.free.fr/fedora/6/testing/rt2x00-firmware/rt61pci-firmware.spec
Description: Firmware for Ralink® RT2561/RT2661 A/B/G network adaptor

%changelog
- Disable dist tag
- Preserve timestamp
- Add license from Ralink
- Improved summary and description (taken from iwl4965-firmware scheme )

We can remove FE-Legal as the bundled firmware was provided!
I need someone to review the package...
Comment 18 Bill Nottingham 2007-09-18 00:15:34 EDT
MUST items:
 - Package meets naming and packaging guidelines - OK
 - Spec file matches base package name - OK
 - Spec has consistant macro usage. - OK
 - Meets Packaging Guidelines. - OK
 - License - OK
 - License field in spec matches - OK
 - License file included in package - OK
 - Spec in American English - OK
 - Spec is legible. - OK
 - Sources match upstream md5sum:  - OK

 - Package needs ExcludeArch - OK
 - BuildRequires correct - OK
 - Spec handles locales/find_lang - N/A
 - Package is relocatable and has a reason to be. - N/A
 - Package has %defattr and permissions on files is good.  - OK
 - Package has a correct %clean section. - OK
 - Package has correct buildroot
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) - OK
 - Package is code or permissible content. - OK, firmware
 - Doc subpackage needed/used. - N/A
 - Packages %doc files don't affect runtime. - OK

 - Headers/static libs in -devel subpackage. - N/A
 - Spec has needed ldconfig in post and postun - N/A
 - .pc files in -devel subpackage/requires pkgconfig - N/A
 - .so files in -devel subpackage. - N/A
 - -devel package Requires: %{name} = %{version}-%{release} - N/A
 - .la files are removed. - N/A
 - Package is a GUI app and has a .desktop file - N/A

 - Package compiles and builds on at least one arch. - OK
 - Package has no duplicate files in %files. - OK
 - Package doesn't own any directories other packages own. - OK
 - Package owns all the directories it creates.  - OK
 - No rpmlint output. - OK
 - final provides and requires are sane: - OK (none)

SHOULD Items:

 - Should build in mock. - OK
 - Should build on all supported archs - noarch, so.. sure.
 - Should function as described. - no hardware, can't test
 - Should have sane scriptlets. - N/A
 - Should have subpackages require base package with fully versioned depend. - N/A
 - Should have dist tag - not needed. Hopefully won't need to rebuild this.
 - Should package latest version - OK

Works for me. APPROVED.
Comment 19 Nicolas Chauvet (kwizart) 2007-09-18 16:26:58 EDT
New Package CVS Request
=======================
Package Name:      rt61pci-firmware
Short Description: Firmware for Ralink® RT2561/RT2661 A/B/G network adaptor
Owners:            kwizart
Branches:          F-7
InitialCC:         <empty>
Commits by cvsextras: yes
Comment 20 Kevin Fenzi 2007-09-19 00:06:15 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.